# Package Manager

<p style="text-align: center"><img src="https://raw.githubusercontent.com/SmartPack/PackageManager/master/screenshot001.jpg" alt="" width="250" height="450" /> <img src="https://raw.githubusercontent.com/SmartPack/PackageManager/master/screenshot002.jpg" alt="" width="250" height="450" /> <img src="https://raw.githubusercontent.com/SmartPack/PackageManager/master/screenshot003.jpg" alt="" width="250" height="450" /></p>

[![](https://img.shields.io/badge/Package%20Manager-v7.1-green)](https://play.google.com/store/apps/details?id=com.smartpack.packagemanager)
![](https://img.shields.io/github/languages/top/SmartPack/PackageManager)
![](https://img.shields.io/github/contributors/smartpack/PackageManager)
![](https://img.shields.io/github/license/smartpack/PackageManager)

### Package Manager is a  highly powerful app to manage both system and user apps installed on an android device.

## Download
[<img src="https://play.google.com/intl/en_us/badges/images/generic/en-play-badge.png"
     alt=""
     height="80">](https://play.google.com/store/apps/details?id=com.smartpack.packagemanager)
[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png"
          alt=""
          height="80">](https://f-droid.org/packages/com.smartpack.packagemanager)

## Requirements
* ROOT Access required for some advanced features

## Features
Package Manager is a simple, yet powerful application to manage the apps installed on an android phone offering the following features
* A beautiful list view of System and User applications, together or separately.
* Show detailed information about each app including, but not limited to,
  * Application & Package name
  * APK/Split APK's path
  * Granted and denied permissions list
  * List of all the active activities
  * Data and native library paths
  * First installed and last updated dates
  * Certificate details
  * Manifest details
  * A lot more
* Helps to do basic tasks such as Open app, visit PlayStore page, uninstall (User apps), etc.
* Install Split apk's/app bundles (supported bundle formats: .apks, .apkm, and .xapk) from device storage.
* Explore and export contents of an installed app (Experimental).
* Export individual or a batch of apps (including Split apk's) into device storage.
* Do advanced tasks such as (need Root access).
  * Uninstall an individual or a batch of system apps (de-bloating).
  * Disable or Enable an individual or a batch of apps.

## Donations
If you like to appreciate my efforts to provide this applications entirely free, non-intrusive and without Ads, please consider supporting the development in some way. Maintaining this project takes the most majority of free time in my life. So, each and every support from the android community will be hugely appreciated.

[<img src="https://raw.githubusercontent.com/SmartPack/SmartPack.github.io/master/assets/pic014.png"
     alt=""
     height="50">](https://github.com/sponsors/sunilpaulmathew)
[<img src="https://liberapay.com/assets/widgets/donate.svg"
     alt=""
     height="50">](https://liberapay.com/sunilpaulmathew/donate)
[<img src="https://raw.githubusercontent.com/SmartPack/SmartPack.github.io/master/assets/pic005.png"
     alt=""
     height="50">](https://www.paypal.me/menacherry/)
[<img src="https://play.google.com/intl/en_us/badges/images/generic/en-play-badge.png"
     alt=""
     height="50">](https://play.google.com/store/apps/details?id=com.smartpack.donate)
[<img src="https://raw.githubusercontent.com/SmartPack/SmartPack.github.io/master/assets/pic010.png"
     alt=""
     height="50">](https://ko-fi.com/sunilpaulmathew/)

#### Some other ways to support this project includes, but not limited to
* Leave a good rating or/and review in [Google Play](https://play.google.com/store/apps/details?id=com.smartpack.packagemanager) (It's free)!
* Help me to [translate](https://poeditor.com/join/project?hash=0CitpyI1Oc) this application into your local language (or improve existing translations).
* Share good words about this application with others (family, friends, and other enthusiastic android users).

## Translations
Please help me to translate this application via [POEditor](https://poeditor.com/join/project?hash=0CitpyI1Oc). You may also translate after downloading the original language string available [here](app/src/main/res/values/strings.xml).

## Credits
A list of people who contributed to this project is available [here](Credits.md).

## License

    Copyright (C) 2024-2025 sunilpaulmathew <sunil.kde@gmail.com>

    Package Manager is a free softwares: you can redistribute it and/or
    modify it under the terms of the GNU General Public License as published
    by the Free Software Foundation, either version 3 of the License, or (at
    your option) any later version.

    Package Manager is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License along
    with Package Manager. If not, see <http://www.gnu.org/licenses/>.
